Bug 74166 - Script for Alias-free Postfix and Mailman integration
Summary: Script for Alias-free Postfix and Mailman integration
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mailman   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL: http://www.gurulabs.com/files/postfix...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-17 07:19 UTC by Dax Kelson
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 19:02:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
postfix-to-mailman.py alias-free integration script (4.19 KB, text/plain)
2002-09-17 07:20 UTC, Dax Kelson
no flags Details
New version of postfix-to-mailman.py with a couple minor changes (4.03 KB, text/plain)
2002-09-18 06:07 UTC, Dax Kelson
no flags Details

Description Dax Kelson 2002-09-17 07:19:01 UTC
Description of Problem:   
Normally when you add a mailing list, you must create the proper aliases in   
your MTA. This can be a hassle with lots of lists and or virtual domains.   
   
In many environments, all mailing lists are run under a subdomain such as   
'lists.example.com' keeping the namespace separate from the 'main' domain.  
  
This script, which I'm offering to be included in the Mailman RPM enables such 
am alias-free, 'lists' subdomain configuration.  The instructions for 
configuring postscript are inside the script itself. 
 
Dax Kelson

Comment 1 Dax Kelson 2002-09-17 07:20:16 UTC
Created attachment 76344 [details]
postfix-to-mailman.py alias-free integration script

Comment 2 Dax Kelson 2002-09-18 06:07:05 UTC
Created attachment 76465 [details]
New version of postfix-to-mailman.py with a couple minor changes

Comment 3 Dax Kelson 2002-09-18 06:08:52 UTC
I've attached a slightly newer version of the script, and added a URL to this Bug.

Comment 4 Dax Kelson 2002-09-18 06:13:49 UTC
I added Bernhard to the Cc. This Mailman integration script today received high
praise from Wietse Venema as an elegant way to connect Mailman to Postfix.

Comment 5 Dax Kelson 2003-02-23 07:45:30 UTC
Here is the script for mailman 2.1.

http://www.gurulabs.com/files/postfix-to-mailman-2.1.py

Comment 6 Bill Nottingham 2006-08-05 04:35:28 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 8 Bill Nottingham 2007-01-02 19:02:38 UTC
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.